/***************************************************************************
 *   Copyright (C) 2003 by Gerhard Monzel                                  *
 *   none                                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef T_WRITER_H
#define T_WRITER_H

#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qmessagebox.h>
#include "t_ui_main.h"
#include "t_proc_chain.h"
#include "ui_fmt_opts.h"

class T_WRITER : public T_PROC_CHAIN
{
  Q_OBJECT

  protected:
    T_UI_MAIN *ui;
    //KProcIO   *wrProc;
    bool      burn;

    UI_FMT_OPTS *winFmtOpts;
	QString     fmtOpts;


  public:
    T_WRITER(T_UI_MAIN *_ui);

    ~T_WRITER();

    virtual int step(void);
    virtual int stepDone(void);

  public slots:
    void slotBurn(void);
	void slotFormat(void);
	
};

#endif
